# DebugOStream Class Reference

Stream used by PrettyDebug. More...

`#include <DebugOStream.hh>`

List of all members.

## Public Member Functions
| DebugOStream (std::ostream &theostr)
int | isNullOstream (void)
DebugOStream & | operator<< (const char *thestr)
DebugOStream & | operator<< (const signed char *thestr)
DebugOStream & | operator<< (const unsigned char *thestr)
DebugOStream & | operator<< (char ch)
DebugOStream & | operator<< (signed char ch)
DebugOStream & | operator<< (unsigned char ch)
DebugOStream & | operator<< (bool n)
DebugOStream & | operator<< (short n)
DebugOStream & | operator<< (unsigned short n)
DebugOStream & | operator<< (int n)
DebugOStream & | operator<< (unsigned int n)
DebugOStream & | operator<< (long n)
DebugOStream & | operator<< (unsigned long n)
DebugOStream & | operator<< (float f)
DebugOStream & | operator<< (double f)
DebugOStream & | operator<< (long double f)
DebugOStream & | operator<< (const void *p)
DebugOStream & | operator<< (std::streambuf *sb)
DebugOStream & | operator<< (std::ostream &(*pf)(std::ostream &))
DebugOStream & | operator<< (std::ios &(*pf)(std::ios &))
DebugOStream & | operator<< (std::ios_base &(*pf)(std::ios_base &))
DebugOStream & | put (char c)
DebugOStream & | write (const char *str, std::streamsize n)
DebugOStream & | flush (void)
DebugOStream & | seekp (std::streampos pos)
DebugOStream & | seekp (std::streamoff off, std::ios_base::seekdir dir)
std::streampos | tellp (void)
## Static Public Attributes
static DebugOStream | nullOutputStream
## Private Attributes
std::ostream & | ostr

## Detailed Description

Stream used by PrettyDebug.

Definition at line 33 of file DebugOStream.hh.

## Constructor & Destructor Documentation

DebugOStream | ( | std::ostream & | theostr | ) | `[inline]`

Definition at line 41 of file DebugOStream.hh.

## Member Function Documentation

int isNullOstream | ( | void |  | ) | `[inline]`

Definition at line 43 of file DebugOStream.hh.

DebugOStream& operator<< | ( | const char * | thestr | ) | `[inline]`

Definition at line 49 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | const signed char * | thestr | ) | `[inline]`

Definition at line 56 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | const unsigned char * | thestr | ) | `[inline]`

Definition at line 62 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | char | ch | ) | `[inline]`

Definition at line 68 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | signed char | ch | ) | `[inline]`

Definition at line 74 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | unsigned char | ch | ) | `[inline]`

Definition at line 80 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | bool | n | ) | `[inline]`

Definition at line 88 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | short | n | ) | `[inline]`

Definition at line 94 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | unsigned short | n | ) | `[inline]`

Definition at line 100 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | int | n | ) | `[inline]`

Definition at line 106 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | unsigned int | n | ) | `[inline]`

Definition at line 112 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | long | n | ) | `[inline]`

Definition at line 118 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | unsigned long | n | ) | `[inline]`

Definition at line 124 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | float | f | ) | `[inline]`

Definition at line 130 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | double | f | ) | `[inline]`

Definition at line 136 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | long double | f | ) | `[inline]`

Definition at line 142 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | const void * | p | ) | `[inline]`

Definition at line 149 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | std::streambuf * | sb | ) | `[inline]`

Definition at line 172 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | std::ostream &(*)(std::ostream &) | pf | ) | `[inline]`

Definition at line 187 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | std::ios &(*)(std::ios &) | pf | ) | `[inline]`

Definition at line 194 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& operator<< | ( | std::ios_base &(*)(std::ios_base &) | pf | ) | `[inline]`

Definition at line 201 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& put | ( | char | c | ) | `[inline]`

Definition at line 209 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& write | ( | const char * | str,
|  | std::streamsize | n |
| ) |  |  | `[inline]`

Definition at line 216 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& flush | ( | void |  | ) | `[inline]`

Definition at line 224 of file DebugOStream.hh.

References nullOutputStream.

Referenced by PrettyDebug::Print().

DebugOStream& seekp | ( | std::streampos | pos | ) | `[inline]`

Definition at line 231 of file DebugOStream.hh.

References nullOutputStream.

DebugOStream& seekp | ( | std::streamoff | off,
|  | std::ios_base::seekdir | dir |
| ) |  |  | `[inline]`

Definition at line 238 of file DebugOStream.hh.

References nullOutputStream.

std::streampos tellp | ( | void |  | ) | `[inline]`

Definition at line 245 of file DebugOStream.hh.

References nullOutputStream.

## Member Data Documentation

std::ostream& ostr`[private]`

Definition at line 36 of file DebugOStream.hh.

DebugOStream nullOutputStream`[static]`

Definition at line 39 of file DebugOStream.hh.

Referenced by flush(), operator<<(), put(), seekp(), tellp(), and write().

The documentation for this class was generated from the following files:

- DebugOStream.hh
- PrettyDebug.cc